Skip to main content
GET
https://example.com
/
api
/
indexes
/
{indexId}
/
sources
/
{sourceId}
Get index source
curl --request GET \
  --url https://example.com/api/indexes/{indexId}/sources/{sourceId} \
  --cookie better-auth.session_token=
{
  "enabled": true,
  "endpoint": "<string>",
  "hasUnsupportedConfig": true,
  "inputFormat": "<string>",
  "messageType": "<string>",
  "numPipelines": 123,
  "queueUrl": "<string>",
  "region": "<string>",
  "sourceId": "<string>",
  "sourceType": "<string>",
  "streamName": "<string>",
  "vrlScript": "<string>"
}

Authorizations

better-auth.session_token
string
cookie
required

Path Parameters

indexId
string
required
Minimum string length: 1
sourceId
string
required
Minimum string length: 1

Response

Successful response

enabled
boolean
required
endpoint
string | null
required
hasUnsupportedConfig
boolean
required
inputFormat
string | null
required
messageType
string | null
required
numPipelines
number | null
required
queueUrl
string | null
required
region
string | null
required
sourceId
string
required
sourceType
string
required
streamName
string | null
required
vrlScript
string | null
required